from RsSmw import *
from NR_BS_3GPP_Rx_Px_tests.General.Utilities import *


class BSTestBase:
    def __init__(self, resource_string: str):
        try:
            self.driver = RsSmw(resource_string, True, True, "SelectVisa='rs'")
            self.driver.device.preset()
        except ResourceError as e:
            raise RsException(e.args[0])
        except RsInstrException as e:
            raise RsException(e.args[0])

    def close(self):
        """This function closes the instrument connection"""
        self.driver.close()
